Loading...
Searching...
No Matches
BitPacking.h File Reference
`#include <cstring>`

Go to the source code of this file.

## Functions

void | PackBoolArray (unsigned char *packed_buffer, const bool *input, size_t n)
void | UnpackBoolArray (bool *output, const unsigned char *packed_input, size_t n)

## Function Documentation

## PackBoolArray()

void PackBoolArray | ( | unsigned char * | packed_buffer,
|  | const bool * | input,
|  | size_t | n )

inline

Definition at line 6 of file BitPacking.h.

Referenced by casacore::SimpleColumnarFile::Write(), and casacore::VarBufferedColumnarFile< 100 *1024 >::Write().

## UnpackBoolArray()

void UnpackBoolArray | ( | bool * | output,
|  | const unsigned char * | packed_input,
|  | size_t | n )

inline

Definition at line 29 of file BitPacking.h.

Referenced by casacore::SimpleColumnarFile::Read(), and casacore::VarBufferedColumnarFile< 100 *1024 >::Read().